// Entry point for your Sass build

$foreground: #FE998F
$background: #98104B
$contrasty: #FEDBC7
$buttext: #FD7468
$transparent: #0000
$breakpoint-tablet: 768px


*
  box-sizing: border-box

:root
  color: $foreground
  font-family: 'Inconsolata', monospace
  background: $background

body
  max-width: min(1200px, 100vw)
  max-height: 100vh
  margin: auto
  position: relative
  display: flex
  flex-direction: column
  overflow: hidden

h1
  color: $contrasty

header
  border-style: solid
  border-width: 0 0 2px 0
  border-color: $contrasty
  flex: none

.pod-description
  & section
    display: flex
    flex-direction: column
    justify-content: space-around

  & section:first-child
    margin-right: 1em

  & section:last-child
    margin-left: 1em

  @media (max-width: $breakpoint-tablet)
    &
      flex-direction: column-reverse

    & img
      display: none

    & .description-text
      max-height: 150px
      overflow-y: auto

    header[data-route="series/episodes"] &
      & .description-text, & form
        display: none


@media (max-width: $breakpoint-tablet)
  main[data-route="series/episodes"]
    & > :first-child
      display: none


main, header
  padding: 1em

main, .pod-description
  display: flex
  justify-content: space-between
  overflow: hidden

a
  color: $contrasty
  &:visited
    color: $foreground

ul.episode-list
  padding: 0

  & li:nth-child(n + 2)
    margin-top: 0.5em

img, audio
  opacity: 0.85

audio
  display: block
  margin: 1em 0
  width: 100%

.icon
  color: $contrasty

select
  background: $transparent
  border-color: $contrasty
  color: $contrasty
  padding: 0.25em

option
  color: $background

input[type="submit"]
  background: $contrasty
  color: $buttext
  border-width: 0
  padding: 0 1em


input[type="url"], input[type="submit"], select
  height: 2em
  border-style: solid
  border-width: 1px
  border-color: $contrasty

a
  display: contents

img.cover-art
  width: 20%

@media (max-width: $breakpoint-tablet)
  img.cover-art
    width: 50%
